curl --request GET \
--url https://api.example.com/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/connections"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/connections")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/connections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"has_more": false,
"connections": [
{
"connection_id": "01J51S0JYV6N7K1030CV1ZKSCA",
"customer_id": "8a46e581-48ba-498a-9ad0-2ee72582e1af",
"retailer_id": "01J7SC0NN73R6F5VVSP3ZKPDA3",
"status": "active",
"email": "alice@example.com",
"mobile": "+1234567890",
"creation_date": "2024-08-13T17:27:57.913Z",
"tags": {
"campaign": "summer_sweeps"
},
"is_simulated": false
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Connections
List connections, newest first. Every filter is optional; page with limit and starting_after.
curl --request GET \
--url https://api.example.com/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/connections"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/connections")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/connections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"has_more": false,
"connections": [
{
"connection_id": "01J51S0JYV6N7K1030CV1ZKSCA",
"customer_id": "8a46e581-48ba-498a-9ad0-2ee72582e1af",
"retailer_id": "01J7SC0NN73R6F5VVSP3ZKPDA3",
"status": "active",
"email": "alice@example.com",
"mobile": "+1234567890",
"creation_date": "2024-08-13T17:27:57.913Z",
"tags": {
"campaign": "summer_sweeps"
},
"is_simulated": false
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Partner OAuth: send Authorization: Bearer <access_token>, an OAuth access token from Subtotal's authorization server with the scope this endpoint needs.
Query Parameters
Only connections with this customer id
Only connections to this retailer
Only connections in this status Connection status enum for API responses (excludes revoked status). NOTE: This should mirror the ConnectionStatus enum the database, excluding internal statuses like (REVOKED)
active, initialized, unauthenticated, disconnected Only connections created at or after this time
Only connections created at or before this time
The maximum number of connections to return
1 <= x <= 100The connection id of the last connection you processed. The next one returned is the next oldest.
"01J51S0JYV6N7K1030CV1ZKSCA"